Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.classdisplay.compact
Class CompactOWLClassDisplay

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.classdisplay.AbstractOWLClassDisplay
          edu.stanford.smi.protegex.owl.model.classdisplay.compact.CompactOWLClassDisplay

All Implemented Interfaces:
  OWLClassDisplay

    public class CompactOWLClassDisplay

extends AbstractOWLClassDisplay

Author:
  Holger Knublauch

Constructor Summary
`CompactOWLClassDisplay()`

Method Summary
`protected String` | `getDisplayTextOfOWLRestriction(OWLRestriction restriction)`
`String` | `getOWLAllValuesFromSymbol()` Gets the keyword used for owl:allValuesFrom restrictions in this rendering.
`String` | `getOWLCardinalitySymbol()`
`String` | `getOWLComplementOfSymbol()`
`String` | `getOWLHasValueSymbol()`
`String` | `getOWLIntersectionOfSymbol()`
`String` | `getOWLMaxCardinalitySymbol()`
`String` | `getOWLMinCardinalitySymbol()`
`String` | `getOWLSomeValuesFromSymbol()`
`String` | `getOWLUnionOfSymbol()`
`OWLClassParser` | `getParser()` Gets the associated parser that allows users to enter class expressions in the defined rendering.

Methods inherited from class edu.stanford.smi.protegex.owl.model.classdisplay.AbstractOWLClassDisplay
`getCommentText, getDisplayText, getDisplayTextOfOWLComplementClass, getDisplayTextOfOWLEnumeratedClass, getDisplayTextOfOWLNAryLogicalClass, getNestedDisplayText, getOWLRestrictionFillerText, getSymbol`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompactOWLClassDisplay

    public CompactOWLClassDisplay()

Method Detail

### getDisplayTextOfOWLRestriction

    protected String getDisplayTextOfOWLRestriction(OWLRestriction restriction)

  Overrides:
    `getDisplayTextOfOWLRestriction` in class `AbstractOWLClassDisplay`

### getOWLAllValuesFromSymbol

    public String getOWLAllValuesFromSymbol()

  Description copied from interface: `OWLClassDisplay`
  Gets the keyword used for owl:allValuesFrom restrictions in this rendering. Examples are the reverse A or "only".

  Returns:
    the key for owl:allValuesFrom

### getOWLCardinalitySymbol

    public String getOWLCardinalitySymbol()

### getOWLComplementOfSymbol

    public String getOWLComplementOfSymbol()

### getOWLHasValueSymbol

    public String getOWLHasValueSymbol()

### getOWLIntersectionOfSymbol

    public String getOWLIntersectionOfSymbol()

### getOWLMaxCardinalitySymbol

    public String getOWLMaxCardinalitySymbol()

### getOWLMinCardinalitySymbol

    public String getOWLMinCardinalitySymbol()

### getOWLSomeValuesFromSymbol

    public String getOWLSomeValuesFromSymbol()

### getOWLUnionOfSymbol

    public String getOWLUnionOfSymbol()

### getParser

    public OWLClassParser getParser()

  Description copied from interface: `OWLClassDisplay`
  Gets the associated parser that allows users to enter class expressions in the defined rendering.

  Returns:
    the OWLClassParser

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.